Skip to main content
DELETE
/
connectors
/
jobs
Stop running connector jobs
import requests

url = "https://{FUSION HOST}/api/connectors/jobs"

response = requests.delete(url)

print(response.text)
HttpResponse<String> response = Unirest.delete("https://{FUSION HOST}/api/connectors/jobs")
.asString();
const options = {method: 'DELETE'};

fetch('https://{FUSION HOST}/api/connectors/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/connectors/jobs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/connectors/jobs"

req, _ := http.NewRequest("DELETE", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request DELETE \
--url https://{FUSION HOST}/api/connectors/jobs
[
  {
    "resource": "datasource:pokedex-crawl",
    "runId": "R5p478JMgc",
    "startTime": 1722638217052,
    "state": "SUCCESS",
    "time": 1722638472970,
    "error": null,
    "extra": {
      "connectorType": "lucidworks.file-upload",
      "timers": {
        "fetch.item.add.time": {
          "meanRate": 3.5734232771378682,
          "count": "901"
        }
      },
      "counters": {
        "fetch.plugin-response": {
          "count": 1
        },
        "fetch.plugin-response.document": {
          "count": 900
        },
        "content-indexer.completed.count": {
          "count": 900
        },
        "pipeline.stages.solr-index::180977ab-c1ef-4b31-be25-9fee41476ece.processed": {
          "count": 900
        },
        "start.plugin-response": {
          "count": 1
        },
        "content-indexer.result.success.counter": {
          "count": 900
        },
        "pipeline.out": {
          "count": 900
        },
        "pipeline.in": {
          "count": 900
        },
        "pipeline.stages.field-mapping::21cd50b7-f391-45f9-b936-5ab30c60c8d5.processed": {
          "count": 900
        },
        "pipeline.stages.solr-dynamic-field-name-mapping::ff72fc68-3576-4315-814c-65a63fc72780.processed": {
          "count": 900
        },
        "pipeline.complete": {
          "count": 900
        },
        "content-indexer.document.received.count": {
          "count": 900
        },
        "stop.request": {
          "count": 1
        },
        "stop.plugin-response": {
          "count": 1
        },
        "start.request": {
          "count": 1
        },
        "fetch.request": {
          "count": 1
        }
      },
      "configId": "pokedex-crawl",
      "currentBlockId": "2pd3ahxmh7",
      "startTime": 1722638217052,
      "id": "R5p478JMgc",
      "state": "FINISHED",
      "previousBlockId": "2pd3ahxmh7",
      "endTime": 1722638224964,
      "blockStartTime": 1722638216976
    }
  }
]

Query Parameters

connector
string
required

The connector type, to stop all jobs of that type. Use /connectors/plugins to get the types for all installed connectors.

collection
string
required

The collection name, to stop all jobs linked to that collection.

abort
boolean
default:false

True to abort the job.

waitTime
integer<int64>
default:100

The amount of time (in milliseconds) to wait for each job to be stopped.

Response

200 - application/json

OK